MKEdits
Mechanical
- Jan 9, 2023
- 31
Hello, I work on a bit large macro which also should unhide particular Geometrical Set which was hidden by designers in every assembly. How should I define visproperties to get proper result?
Regards,
M
Code:
Set part1 = partDoc1.Part
Set bodies1 = part1.Bodies
Set body1 = bodies1.Item("Gewinde")
part1.InWorkObject = body1
Set shapeFactory1 = part1.ShapeFactory
Set body2 = bodies1.Item("Schlichtbearbeitung")
Set shapes1 = body2.Shapes
Set hybridBodies3 = part1.HybridBodies
Set hybridBody3 = hybridBodies3.Item("Output")
Set hybridShapeFactory3 = part1.HybridShapeFactory
Set bodies3 = part1.Bodies
Set body3 = bodies3.Item("PartBody")
Set shapes3 = body3.Shapes
Set assemble3 = shapes3.Item("Bohrbearbeitung")
Set reference3 = part1.CreateReferenceFromBRepName("RSur:(Face:(Brp:(Pad.3;2);None:();Cf12:());WithPermanentBody;WithoutBuildError;WithSelectingFeatureSupport;MFBRepVersion_CXR29)", assemble3)
Set reference4 = part1.CreateReferenceFromBRepName("RSur:(Face:(Brp:(Pocket.4;2);None:();Cf12:());WithPermanentBody;WithoutBuildError;WithSelectingFeatureSupport;MFBRepVersion_CXR29)", assemble3)
Set hybridShapePlaneOffset3 = hybridShapeFactory3.AddNewPlaneOffset(reference3, 0.000000, True)
Set hybridShapePlaneOffset4 = hybridShapeFactory3.AddNewPlaneOffset(reference4, 0.000000, True)
hybridBody3.AppendHybridShape hybridShapePlaneOffset3
hybridBody3.AppendHybridShape hybridShapePlaneOffset4
hybridShapePlaneOffset3.Name = "LIMIT_PLANE"
hybridShapePlaneOffset4.Name = "SKIZZE_PLANE"
part1.InWorkObject = hybridShapePlaneOffset3
part1.Update
part1.InWorkObject = hybridShapePlaneOffset4
part1. Update
Dim selection3
Set selection3 = partDoc1.Selection
Call MsgBox ("Etap 3: Otwory", vbInformation, Title3)
selection4.clear
Set selection5 = partDoc1
'status1= selection3.SelectElement2(InputObjectType1, "Wybierz SKIZZE_PLANE", False) 'choosing drilled plane
Set bodies5 = part1.Bodies
Set body5 = bodies5.Item("PartBody")
Set shapes5 = body5.Shapes
bodies5.VisProperties.Parent.SetShow 0
Regards,
M